This page was not yet optimized for use on mobile devices.
Maxar AEDS
Certificate details
| Certificate ID | #4649 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to dependency on certificate #2627 |
| Validation dates | 27.10.2023 |
| Standard | FIPS 140-2 |
| Security level | 2 |
| Type | Hardware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | The tamper evident seals are installed as indicated in the Security Policy. This module contains the embedded module NPCT6XX TPM 2.0 validated to FIPS 140-2 under Cert. #2627 operating in FIPS mode. |
| Exceptions |
|
| Description | The Maxar AEDS is a network based ground to spacecraft AES GCM & CTR mode encryption/decryption appliance hosted on a 1U network security server. It can support multiple channels simultaneously on up to 6 different subnets with speeds over 75 Mbit/s. There is a web based Crypto Operator interface for easy set-up and configuration. The User interfaces are TCP/IP socket based and follow a straightforward ICD. Both are protected with TLS 1.2. |
| Version (Hardware) | Revision 1 |
| Version (Firmware) | 1.0.6.1558.2958 |
| Vendor | Maxar Technologies http://www.maxar.com/space-infrastructure |
| Lab | UL Verification Services, Inc. |
| Algorithms | |
| References | This certificate's webpage directly references 1 certificates, transitively this expands into 1 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, DES, Triple-DES, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-512, HMAC-SHA-384, CMACAsymmetric Algorithms
ECDHE, ECDH, ECDSA, ECC, DH, DSAHash functions
SHA-1, SHA-384, SHA-256, SHA-512, SHA-224, SHA-2Schemes
MACProtocols
SSL, TLS, TLS v1.2Randomness
PRNG, DRBG, RNGElliptic Curves
P-224, P-256, P-384, P-521, P-192, Curve P-384, B-233, B-283, B-409, B-571, K-233, K-283, K-409, K-571, B-163, K-163Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM, XTSTLS cipher suites
TLS_RSA_WITH_AES_128_GCM_SHA256, TLS_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_256_GCM_SHA384, TLS_RSA_WITH_AES_256_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHASecurity level
Level 2Standards
FIPS 140-2, FIPS 140, FIPS 186-4, FIPS 186-2, SP 800-135, SP 800-90A, SP 800-133, SP 800-52, SP 800-90, PKCS #1, PKCS1, PKCS#1, RFC 2313, RFC 5288, RFC5288, RFC5289, RFC 5246Cross-references
Outgoing- 2627 - historical - NPCT6XX TPM 2.0
Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4649,
"dgst": "69aa50d0821a7741",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"KAS#C585",
"CVL#C585",
"CVL#2178",
"KTS#A2061",
"HMAC#A2061",
"SHS#A2061",
"#C585",
"#A2061",
"KAS#A2062",
"DRBG#A2061",
"AES#A2061",
"RSA#A2090",
"RSA#A2061",
"KAS-SSC#A2062"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"1.0.6.1558.2958"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": {
"_type": "Set",
"elements": [
"2627"
]
},
"indirectly_referenced_by": null,
"indirectly_referencing": {
"_type": "Set",
"elements": [
"2627"
]
}
},
"module_prunned_references": {
"_type": "Set",
"elements": [
"2627"
]
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": {
"_type": "Set",
"elements": [
"2627"
]
},
"indirectly_referenced_by": null,
"indirectly_referencing": {
"_type": "Set",
"elements": [
"2627"
]
}
},
"policy_prunned_references": {
"_type": "Set",
"elements": [
"2627"
]
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 44,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 2
},
"ECDH": {
"ECDH": 1,
"ECDHE": 5
},
"ECDSA": {
"ECDSA": 3
}
},
"FF": {
"DH": {
"DH": 1
},
"DSA": {
"DSA": 4
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 1
},
"CCM": {
"CCM": 1
},
"CTR": {
"CTR": 1
},
"ECB": {
"ECB": 1
},
"GCM": {
"GCM": 4
},
"OFB": {
"OFB": 1
},
"XTS": {
"XTS": 1
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 1
},
"TLS": {
"TLS": 94,
"TLS v1.2": 3
}
}
},
"crypto_scheme": {
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"B-163": 1,
"B-233": 5,
"B-283": 5,
"B-409": 5,
"B-571": 5,
"Curve P-384": 1,
"K-163": 1,
"K-233": 6,
"K-283": 4,
"K-409": 5,
"K-571": 4,
"P-192": 2,
"P-224": 12,
"P-256": 8,
"P-384": 9,
"P-521": 8
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 1,
"#2627": 1
}
},
"fips_certlike": {
"Certlike": {
"Cert RSA": 21,
"Certificate AES": 1,
"HMAC- SHA-384": 1,
"HMAC-SHA-1": 4,
"HMAC-SHA-224": 4,
"HMAC-SHA-256": 6,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 4,
"HMAC-SHA1": 2,
"PKCS #1": 2,
"PKCS#1": 4,
"PKCS1": 4,
"SHA- 384": 1,
"SHA-1": 6,
"SHA-2": 6,
"SHA-224": 4,
"SHA-256": 10,
"SHA-384": 8,
"SHA-512": 8
}
},
"fips_security_level": {
"Level": {
"Level 2": 1
}
},
"hash_function": {
"SHA": {
"SHA1": {
"SHA-1": 6
},
"SHA2": {
"SHA-2": 6,
"SHA-224": 4,
"SHA-256": 10,
"SHA-384": 8,
"SHA-512": 8
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 25,
"PRNG": 1
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 6,
"FIPS 140-2": 38,
"FIPS 186-2": 1,
"FIPS 186-4": 5
},
"NIST": {
"SP 800-133": 1,
"SP 800-135": 1,
"SP 800-52": 1,
"SP 800-90": 1,
"SP 800-90A": 1
},
"PKCS": {
"PKCS #1": 1,
"PKCS#1": 2,
"PKCS1": 2
},
"RFC": {
"RFC 2313": 1,
"RFC 5246": 3,
"RFC 5288": 2,
"RFC5288": 1,
"RFC5289": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 35
}
},
"DES": {
"3DES": {
"Triple-DES": 3
},
"DES": {
"DES": 1
}
},
"constructions": {
"MAC": {
"CMAC": 2,
"HMAC": 4,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 3,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {
"TLS": {
"TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_256_GCM_SHA384": 1
}
},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"KAS#C585",
"CVL#C585",
"CVL#2178",
"KTS#A2061",
"HMAC#A2061",
"SHS#A2061",
"KAS#A2062",
"DRBG#A2061",
"AES#A2061",
"RSA#A2090",
"RSA#A2061",
"KAS-SSC#A2062"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#C585",
"#A2061"
]
},
"policy_metadata": {
"/AppVersion": "16.0000",
"/Author": "SafeLogic",
"/Client": "Maxar",
"/Comments": "",
"/Company": "SSL",
"/CreationDate": "D:20231025164722-07\u002700\u0027",
"/Creator": "Acrobat PDFMaker 23 for Word",
"/DocSecurity": "0",
"/DocVersion": "0.7",
"/HyperlinksChanged": "0",
"/LinksUpToDate": "0",
"/ModDate": "D:20231025164742-07\u002700\u0027",
"/Producer": "Adobe PDF Library 23.6.136",
"/ScaleCrop": "0",
"/ShareDoc": "0",
"/SourceModified": "D:20231025234653",
"/Subject": "",
"/Title": "",
"pdf_file_size_bytes": 623088,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://www.maxar.com/",
"https://csrc.nist.gov/groups/STM/cmvp/index.html",
"https://www.safelogic.com/"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 26
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "d3945e116633a2e80eea70c85e944bd90747d8163c0e1333b348b91465f4f6d6",
"source_hash": "e5e438f24ad3e91fbf558fa605d194b768b96d7b65a9e40226b5d1ad21794181",
"txt_hash": "b2d9f2603d066dae576c18dc79c1c8d39bd297376cc2836516cd283ce578a9e7"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "The tamper evident seals are installed as indicated in the Security Policy. This module contains the embedded module NPCT6XX TPM 2.0 validated to FIPS 140-2 under Cert. #2627 operating in FIPS mode.",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/October 2023_011123_0711.pdf",
"date_sunset": null,
"description": "The Maxar AEDS is a network based ground to spacecraft AES GCM \u0026 CTR mode encryption/decryption appliance hosted on a 1U network security server. It can support multiple channels simultaneously on up to 6 different subnets with speeds over 75 Mbit/s. There is a web based Crypto Operator interface for easy set-up and configuration. The User interfaces are TCP/IP socket based and follow a straightforward ICD. Both are protected with TLS 1.2.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "1.0.6.1558.2958",
"historical_reason": "Moved to historical list due to dependency on certificate #2627",
"hw_versions": "Revision 1",
"level": 2,
"mentioned_certs": {
"2627": 1
},
"module_name": "Maxar AEDS",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-10-27",
"lab": "UL Verification Services, Inc.",
"validation_type": "Initial"
}
],
"vendor": "Maxar Technologies",
"vendor_url": "http://www.maxar.com/space-infrastructure"
}
}